## lsprotocol 2023.0.0

=== debian/changelog ===
lsprotocol (2023.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Arto Jantunen <viiru@debian.org>  Mon, 04 Dec 2023 12:39:53 +0200

lsprotocol (2023.0.0~b1-2) unstable; urgency=medium

  * Mark Debian Python Team as maintainer and myself as Uploader

 -- Arto Jantunen <viiru@debian.org>  Mon, 30 Oct 2023 07:54:53 +0200

lsprotocol (2023.0.0~b1-1) unstable; urgency=low

  * Initial release (Closes: #1054206)

 -- Arto Jantunen <viiru@debian.org>  Sat, 28 Oct 2023 13:03:42 +0300
