=== debian/control ===
Source: lsprotocol
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               flit,
               pybuild-plugin-pyproject,
               python3-all,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Homepage: https://github.com/microsoft/lsprotocol
Vcs-Browser: https://salsa.debian.org/python-team/packages/lsprotocol
Vcs-Git: https://salsa.debian.org/python-team/packages/lsprotocol.git

Package: python3-lsprotocol
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Python implementation of the Language Server Protocol
 lsprotocol is a Python implementation of object types used in the Language
 Server Protocol (LSP). This repository contains the code generator and the
 generated types for LSP.
