## lsprotocol 2023.0.1

=== debian/changelog ===
lsprotocol (2023.0.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports (Closes: #1077470).

 -- Arto Jantunen <viiru@debian.org>  Fri, 02 Aug 2024 07:43:15 +0300

lsprotocol (2023.0.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0, no changes

 -- Arto Jantunen <viiru@debian.org>  Wed, 31 Jul 2024 10:07:16 +0300
