=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/@PACKAGE@-$1.tar.gz/, \
uversionmangle=s/(\d)[_\.\-\+]?((a|b)\d*)$/$1~$2/" \
    https://github.com/microsoft/@PACKAGE@/tags \
    https://github.com/microsoft/@PACKAGE@/archive/refs/tags/([^/]*)\.tar\.gz
