=== debian/changelog ===
lsprotocol (2025.0.0-3) unstable; urgency=medium

  * Add Breaks for incompatible versions of python3-pygls (Closes: #1111343).

 -- Arto Jantunen <viiru@debian.org>  Tue, 19 Aug 2025 17:13:00 +0300

lsprotocol (2025.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Arto Jantunen <viiru@debian.org>  Sat, 16 Aug 2025 08:35:38 +0300

lsprotocol (2025.0.0-1) experimental; urgency=medium

  * New upstream release
  * Update debian/watch to work without the "v" prefix on tags
  * Bump Standards-Version to 4.7.2, no changes

 -- Arto Jantunen <viiru@debian.org>  Fri, 20 Jun 2025 18:14:29 +0300
