=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                flit,
                pybuild-plugin-pyproject,
                python3-all,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Homepage: https://github.com/microsoft/lsprotocol
@@ -18,6 +18,7 @@
 Package: python3-lsprotocol
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+Breaks: python3-pygls (<<1.3.0-3~)
 Description: Python implementation of the Language Server Protocol
  lsprotocol is a Python implementation of object types used in the Language
  Server Protocol (LSP). This repository contains the code generator and the
