=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=lsprotocol
export PYBUILD_DIR=packages/python
%:
	dh $@ --buildsystem=pybuild
